Bug 990607 - [abrt] xfce4-terminal-0.6.2-1.fc19: handle_error: Process /usr/bin/xfce4-terminal was killed by signal 5 (SIGTRAP)
[abrt] xfce4-terminal-0.6.2-1.fc19: handle_error: Process /usr/bin/xfce4-term...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-terminal (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:f771968929538f26ed4f1403c29...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 10:20 EDT by lpineau
Modified: 2015-02-18 09:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:03:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.77 KB, text/plain)
2013-07-31 10:20 EDT, lpineau
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-31 10:20 EDT, lpineau
no flags Details
File: core_backtrace (4.97 KB, text/plain)
2013-07-31 10:21 EDT, lpineau
no flags Details
File: dso_list (7.80 KB, text/plain)
2013-07-31 10:21 EDT, lpineau
no flags Details
File: environ (1.64 KB, text/plain)
2013-07-31 10:21 EDT, lpineau
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-31 10:21 EDT, lpineau
no flags Details
File: maps (40.55 KB, text/plain)
2013-07-31 10:21 EDT, lpineau
no flags Details
File: open_fds (1.01 KB, text/plain)
2013-07-31 10:21 EDT, lpineau
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-07-31 10:21 EDT, lpineau
no flags Details
File: var_log_messages (1.25 KB, text/plain)
2013-07-31 10:21 EDT, lpineau
no flags Details

  None (edit)
Description lpineau 2013-07-31 10:20:38 EDT
Description of problem:
Shortly after starting up xfe terminal, and opening new windows, some of the open terminals crash

Version-Release number of selected component:
xfce4-terminal-0.6.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/xfce4-terminal
crash_function: handle_error
executable:     /usr/bin/xfce4-terminal
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #7 XGetWindowProperty at GetProp.c:69
 #8 fetch_net_wm_check_window at gdkevents-x11.c:2671
 #9 gdk_x11_screen_supports_net_wm_hint at gdkevents-x11.c:2852
 #10 gdk_x11_window_set_user_time at gdkwindow-x11.c:3741
 #11 setup_toplevel_window at gdkwindow-x11.c:637
 #12 _gdk_window_impl_new at gdkwindow-x11.c:821
 #13 gdk_window_new at gdkwindow.c:1456
 #14 gtk_window_realize at gtkwindow.c:4843
Comment 1 lpineau 2013-07-31 10:20:41 EDT
Created attachment 781160 [details]
File: backtrace
Comment 2 lpineau 2013-07-31 10:20:44 EDT
Created attachment 781161 [details]
File: cgroup
Comment 3 lpineau 2013-07-31 10:21:07 EDT
Created attachment 781162 [details]
File: core_backtrace
Comment 4 lpineau 2013-07-31 10:21:14 EDT
Created attachment 781163 [details]
File: dso_list
Comment 5 lpineau 2013-07-31 10:21:17 EDT
Created attachment 781164 [details]
File: environ
Comment 6 lpineau 2013-07-31 10:21:20 EDT
Created attachment 781165 [details]
File: limits
Comment 7 lpineau 2013-07-31 10:21:33 EDT
Created attachment 781166 [details]
File: maps
Comment 8 lpineau 2013-07-31 10:21:43 EDT
Created attachment 781167 [details]
File: open_fds
Comment 9 lpineau 2013-07-31 10:21:46 EDT
Created attachment 781168 [details]
File: proc_pid_status
Comment 10 lpineau 2013-07-31 10:21:48 EDT
Created attachment 781169 [details]
File: var_log_messages
Comment 11 Kevin Fenzi 2013-08-01 18:59:09 EDT
Only some of them crash? 

Can you see any pattern between the ones that do crash and the ones that don't?
Comment 12 Need Real Name 2013-08-04 06:19:44 EDT
Just happened to me - fresh Fedora 19 x64 install, installed Xfce, opened a terminal the first time, saw crash notification.

Terminal still opened successfully (perhaps an immediate respawn?), but I had a notification of the crash, which resolved to this bugzilla entry.
Comment 13 Need Real Name 2013-08-04 07:24:02 EDT
happened again, reproducible.

I have a multi-monitor setup and prefer to have two independent X sessions (nvidia calls it "Separate X Sessions" in their settings utility).  This works partially under Xfce4; many things are broken, but I am able to get the basic functionality of the desktop that I require.

Xfce seems 'confused' about the independent sessions, and that is where the broken things come it.  I won't list all the the issues here, but this terminal bug is one of them.  If I choose 'Open Terminal Here' from the desktop popup menu on one screen (screen0), it opens a terminal.  If I then go to the other screen and choose 'Open Terminal Here' from the desktop popup menu on that screen (screen1), the first terminal on screen0 closes and I get a new terminal on screen1.

If I repeatedly choose 'Open Terminal Here' from the desktop popup menu on one screen, I get a new terminal window each time, and the existing ones stay open.  As soon as I choose 'Open Terminal Here' from the desktop popup menu on the other screen, all the terminals on the initial screen close, and I get one new terminal on the current screen.

When the previous screens terminal(s) close(s), that will produce the stack trace in this bug.
Comment 14 Kevin Fenzi 2013-08-05 23:07:19 EDT
This is the binary only non free nvidia driver? 

Not sure there's too much we can do about that setup. 

Looks like this may be these upstream bugs: 

https://bugzilla.xfce.org/show_bug.cgi?id=10124
https://bugzilla.xfce.org/show_bug.cgi?id=10133
https://bugzilla.xfce.org/show_bug.cgi?id=10072

You may be able to work around it by calling "xfce4-terminal --disable-server" to avoid the server instance.
Comment 15 jamie 2014-01-15 11:18:29 EST
"This is the binary only non free nvidia driver?"

Nope, also happens on my ATI card with the non-free driver.
Comment 16 Raphael Groner 2014-05-14 01:34:35 EDT
I got this alert with Fedora 20. I used muffin instead of xfwm4, maybe that caused xfce4-terminal to get confused.

xfce4-terminal-0.6.3-1.fc20.x86_64
muffin-2.2.3-1.fc20.x86_64
xfwm4-4.11.0-1.fc20.x86_64
kernel-3.14.2-200.fc20.x86_64
kernel-3.14.3-200.fc20.x86_64


$ lspci |grep -i vga
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Trinity [Radeon HD 7640G]

$ grep -i drv /var/log/Xorg.0.log
[ 16023.165] (II) Loading /usr/lib64/xorg/modules/drivers/ati_drv.so
[ 16023.174] (II) Loading /usr/lib64/xorg/modules/drivers/radeon_drv.so
[ 16023.184] (II) Loading /usr/lib64/xorg/modules/drivers/modesetting_drv.so
[ 16023.191] (II) Loading /usr/lib64/xorg/modules/drivers/fbdev_drv.so
[ 16023.201] (II) Loading /usr/lib64/xorg/modules/drivers/vesa_drv.so
[ 16023.911] (II) Loading /usr/lib64/xorg/modules/input/evdev_drv.so
[ 16024.016] (II) Loading /usr/lib64/xorg/modules/input/synaptics_drv.so
Comment 17 Raphael Groner 2014-09-11 17:26:30 EDT
Never seen any crash again. Seems to be fixed with Xfce 4.11.

xfce4-terminal-0.6.3-1.fc20.x86_64
xfwm4-4.11.2-1.fc20.x86_64
Comment 18 Fedora End Of Life 2015-01-09 17:14:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-02-18 09:03:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.